<script>
    import { Swiper, SwiperSlide } from 'vue-awesome-swiper';
    import 'swiper/css/swiper.css';
    import ContactForm from '../../partials/ContactForm.vue';
    import axios from 'axios';
    import VueScrollReveal from 'vue-scroll-reveal';
        
    Vue.use(VueScrollReveal, {
        class: 'v-scroll-reveal',
        duration: 800,
        scale: 1,
        distance: '10px',
        mobile: false
    }); 

    export default {
        components: {
            Swiper,
            SwiperSlide,
            ContactForm
        },
        data(){
            return{
                item: {},
                swiperOptions: {
                    spaceBetween: 20,
                    slidesPerView: 1,
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev'
                    },
                    breakpoints: {
                        1580: {
                            spaceBetween: 32,
                        },
                    }
                }
            }
        },
        methods: {
            getItem(){
                axios.get('https://picsum.photos/id/' + this.$route.params.id + '/info')
                    .then(response => {
                        this.item = response.data
                    }).catch( err => {
                        console.log(err);
                    })
            }
        },
        mounted(){
            this.getItem();
            window.scrollTo(0, 0);
        }
    }
</script>
<template>
    <div class="content-success-story pt-28 md:pt-38">
        <div class="container container--my-brand">
            <div class="xxl:tx-18 mb-14">
                    <router-link exact-active-class="active" to="/" class="item cursor-pointer hover:tx-primary-1" aria-current="page">
                INICIO </router-link> > CASOS DE ÉXITO
            </div>
            <h1 class="tx-48 xl:tx-60 xxl:tx-72 tx-bold mb-13" v-scroll-reveal.reset>
                {{ item.author }}
            </h1>
        </div>

            <!-- DESCRIPTION -->
            <section class="success-story-description tx-white bg-secondary-1 py-27">
                <div class="container container--my-brand">
                    <div class="gs:grid align-center">
                        <div class="xl:col-12 mb-20 lg:mb-30 xl:mb-0" v-scroll-reveal.reset>
                            <h2 class="tx-32 md:tx-36 xxl:tx-40 tx-bold mb-10">
                                IMAGINAMOS
                            </h2>
                            <p class="md:tx-20 xxl:tx-24 tx-light tx-leading-soft mb-19">
                                Un logo en el que se mezclara el trabajo del estilista con la frescura que se vive al adoptar un nuevo estilo, cuando nos reinventamos a través de un corte de cabello y el impacto es absoluto.
                            </p>

                            <h2 class="tx-32 md:tx-36 xxl:tx-40 tx-bold mb-10">
                                VISUALIZAMOS
                            </h2>
                            <ul class="md:tx-20 xxl:tx-24 tx-light tx-leading-soft bullet-inside spacing-0">
                                <li>
                                    La suavidad con la que debe tratarse a cada cliente
                                </li>
                                <li>
                                    La confianza que pone en quien lo arregla 
                                </li>
                                <li>
                                    La mirada de quien se asombra ante nuestros cambios 
                                </li>
                                <li>
                                    Nuestra presencia en la zona
                                </li>
                            </ul>
                        </div>

                        <div class="xl:col-12">
                            <div class="success-stories-swiper wrapper-swiper-out mx-auto lg:ml-auto" v-scroll-reveal.reset="{ origin: 'right', delay: 250 }">
                                <swiper class="swiper hero-carrousel" :options="swiperOptions">
                                    <swiper-slide v-for="e in 3" :key="e + '_step'">
                                        <div class="item">
                                            <div class="img bg-center bg-cover bg-no-repeat" :style="{ 'background-image': 'url(' + item.download_url + ')' }"></div>
                                        </div>
                                    </swiper-slide>
                                </swiper>

                                <div class="swiper-button-prev" slot="button-prev">
                                    <img src="/assets/images/helpers/arrow-swiper.svg" alt="">
                                </div>

                                <div class="swiper-button-next" slot="button-next">
                                    <img src="/assets/images/helpers/arrow-swiper.svg" alt="">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <!-- PRESENTATION -->
            <section class="success-story-presentation">
                <div class="container container--my-brand py-21">
                    <h2 class="tx-32 md:tx-36 xxl:tx-40 tx-center mb-13" v-scroll-reveal.reset>
                        PRESENTAMOS
                    </h2>
                    <p class="tx-20 xxl:tx-24 tx-center mb-0 mx-auto" v-scroll-reveal.reset>
                        Suaves líneas que transmiten confianza para quien decide cambiar su imagen, con un estilo fresco <br class="hidden xl:block"> y audaz que transmita seguridad a quien transforma absolutamente su look.
                    </p>
                </div>
            </section>

            <!-- GALLERY -->
            <section class="success-story-gallery">

                <!-- SAMPLE BIG 1 -->
                <img class="w-100pr" src="/assets/images/views/success_story/sample-big-1.png" alt="">

                <div class="gs:grid m-0">

                    <!-- SAMPLE 1 -->
                    <div class="col-12 p-0">
                        <img class="w-100pr" src="/assets/images/views/success_story/sample-1.png" alt="">
                    </div>

                    <!-- SAMPLE 2 -->
                    <div class="col-12 p-0">
                        <img class="w-100pr" src="/assets/images/views/success_story/sample-2.png" alt="">
                    </div>
                </div>

                <!-- SAMPLE BIG 1 -->
                <img src="/assets/images/views/success_story/sample-big-2.png" alt="">

                <div class="gs:grid m-0">

                    <!-- SAMPLE 1 -->
                    <div class="col-12 p-0">
                        <img class="w-100pr" src="/assets/images/views/success_story/sample-3.png" alt="">
                    </div>

                    <!-- SAMPLE 2 -->
                    <div class="col-12 p-0">
                        <img class="w-100pr" src="/assets/images/views/success_story/sample-4.png" alt="">
                    </div>
                </div>
            </section>

            <!-- CONTACT -->
            <section class="success-story-contact py-16">
                <div class="container container--my-brand">
                    <p class="tx-28 md:tx-36 xl:tx-40 xxl:tx-50 tx-center mb-5">
                        “El significado de un logo deriva de la calidad de aquello <br class="hidden xl:block"> que simboliza”
                    </p>
                    <p class="tx-20 md:tx-28 xxl:tx-34 tx-center mb-15">
                        -Paul Rand
                    </p>
                    <contact-form></contact-form>
                </div>
            </section>
    </div>
</template>